<li>{strip}<a id="themeSwitchLink" title="{'Interface theme'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
  <span class="pwg-icon" style="background:url('{$THEME_SWITCH_PATH}icon.png') center center no-repeat;">&nbsp;</span><span class="pwg-button-text">{'Interface theme'|@translate}</span>
</a>
<div id="themeSwitchBox" class="switchBox">
  <div class="switchBoxTitle">{'Interface theme'|@translate}</div> 
  {foreach from=$theme_switch item=theme name=t}
  <a rel="nofollow" href="{$theme.url}" title="{$theme.name}"><img src="{$theme.img}" alt="{$theme.name}" class="theme-thumb"></a>
  {if ($smarty.foreach.t.index+1)%5 == 0}<br>{/if}
  {/foreach}
</div>
{/strip}</li>

{footer_script require='jquery'}{literal}
jQuery("#themeSwitchLink").click(function() {
	var elt = jQuery("#themeSwitchBox");
	elt.css("left", Math.min(jQuery(this).offset().left, jQuery(window).width() - elt.outerWidth(true) - 5))
		.css("top", jQuery(this).offset().top + jQuery(this).outerHeight(true))
		.toggle();
});
jQuery("#themeSwitchBox").on("mouseleave", function() {
	jQuery(this).hide();
});
{/literal}{/footer_script}

{* <!-- switchBox structure for theme which don't include default style --> *}
{if $themeconf.parent != 'default' or (isset($themeconf.load_parent_local_head) and $themeconf.load_parent_local_head == false) }
{combine_css path=$THEME_SWITCH_PATH|@cat:"default.css"}
{/if}

{* <!-- stylish for non core themes (should be removed when all themes are updated) --> *}
{if $themeconf.name != 'clear' and $themeconf.name != 'dark' and $themeconf.name != 'elegant' and $themeconf.name != 'Sylvia'}
{combine_css path=$THEME_SWITCH_PATH|@cat:"style.css"}
{/if}

{* <!-- common style specific for LanguageSwitch --> *}
{combine_css path=$THEME_SWITCH_PATH|@cat:"theme_switch.css"}